Bug 559936 - Review Request: lohit-devanagari-fonts - Open Type Font for Devanagari Script
Review Request: lohit-devanagari-fonts - Open Type Font for Devanagari Script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-29 06:46 EST by Pravin Satpute
Modified: 2010-02-07 23:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-07 23:51:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Naveen Kumar 2010-02-02 06:12:52 EST
Here's an unofficial review, using the checklist from:
http://fedoraproject.org/wiki/Packaging:ReviewGuidelines


*  MUST: rpmlint must be run on every package. The output should be posted
in the review.[1]

OUTPUT: 1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK

*  MUST: The package must be named according to the  Package Naming Guidelines .

OK

*  MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2]

OK

*  MUST: The package must meet the  Packaging Guidelines .

OK

*  MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines .

OK

*  MUST: The License field in the package spec file must match the actual license. [3]

OK: GPLv2 with exceptions


*  MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

OK

*  MUST: The spec file must be written in American English. [5]

OK


*  MUST: The spec file for the package MUST be legible. [6]

OK

*  MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the  Source URL Guidelines for how to deal with this.

OK: both md5 were cf79080149d35e8512dffb549fc1a374

*  MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

OK.   Koji build successfull, Build ID:1958390 [http://koji.fedoraproject.org/koji/taskinfo?taskID=1958390]

*  MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

OK.   Not Applicable

*   MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

OK. 

*  MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

OK:   No gettext in BuildRequires

*  MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

OK.   No shared library involved

*  MUST: Packages must NOT bundle copies of system libraries.[11]

OK.  Not applicable 

*  MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

NA


*  MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

OK


*  MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]

OK.   %files section missing...

*  MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]

OK.   No %files section and hence no %defattr


*  MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [16]

OK.


*  MUST: Each package must consistently use macros. [17]

OK.

*  MUST: The package must contain code, or permissable content. [18]

OK.


*  MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [19]

OK.

*  MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [19]

OK. No %doc section

*  MUST: Header files must be in a -devel package. [20]

NA


*  MUST: Static libraries must be in a -static package. [21]

NA

*  MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [22]

NA

*  MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [20]

NA


*  MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}  [23]

NA

*  MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[21]

OK. Does not contain any .la libtool archives.


*  MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [24] 

NA


*  MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [25]

NA 


* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]

OK.


*  MUST: All filenames in rpm packages must be valid UTF-8. [27]

OK


(SHOULDs are NOT required.)



*  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [28]

NA

*  SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [29]

NO. Not available.

*  SHOULD: The reviewer should test that the package builds in mock. [30]

NO. I did that on Koji. Build ID:1958390 [http://koji.fedoraproject.org/koji/taskinfo?taskID=1958390]

*  SHOULD: The package should compile and build into binary rpms on all supported architectures. [31]

NA. It's a noarch

*  SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

OK. Tested writing hindi on Gedit and used this font to render the script.

*  SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [32]

NA

*  SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [23]

NA

*  SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [22]

NA


*  SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [33]

NA

*  SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[34]

NA
Comment 2 Parag AN(पराग) 2010-02-03 06:23:36 EST
Review=>
+ koji build->http://koji.fedoraproject.org/koji/taskinfo?taskID=1960648
+ Source verified with upstream URL as (SHA1SUM)
d56b9e2111726057e2da25a1a5ab5e220945e62d  lohit-devanagari-2.4.3.tar.gz
+ rpmlint is silent
+ Follow fonts packaging guidelines

Suggestions:
1) Please add support for Sanskrit sa in fontconfig
2) I don't see any Indic locale with sn so remove that entry
3) I think you should add ks@devanagari and sd@devanagari in fontconfig
Comment 4 Parag AN(पराग) 2010-02-04 03:59:14 EST
Looks ok now.

APPROVED.
Comment 5 Pravin Satpute 2010-02-04 04:22:30 EST
New Package CVS Request
=======================
Package Name: lohit-devanagari-fonts
Short Description: Open Type Font for Devanagari Script
Owners: pravins
Branches:
InitialCC: fonts-sig
Comment 6 Jens Petersen 2010-02-05 05:20:01 EST
CVS done (by process-cvs-requests.py).
Comment 7 Pravin Satpute 2010-02-07 23:51:41 EST
build for devel
also followed other lohit packages retirement process

Thanks Parag and Jens for your help :)

Note You need to log in before you can comment on or make changes to this bug.